<?php
defined('ERRORCODE_OK') or define('ERRORCODE_OK', 0);
defined('ERRORCODE_UNKNOWN') or define('ERRORCODE_UNKNOWN', 1);
defined('ERRORCODE_UNKNOWNVERSION') or define('ERRORCODE_UNKNOWNVERSION', 2);
defined('ERRORCODE_INVALIDPARAMS') or define('ERRORCODE_INVALIDPARAMS', 3);
defined('ERRORCODE_EXISTS') or define('ERRORCODE_EXISTS', 4);
defined('ERRORCODE_NOTEXISTS') or define('ERRORCODE_NOTEXISTS', 5);
defined('ERRORCODE_TIMEOUT') or define('ERRORCODE_TIMEOUT', 6);
defined('ERRORCODE_LOGINED') or define('ERRORCODE_LOGINED', 7);
defined('ERRORCODE_NOTLOGINED') or define('ERRORCODE_NOTLOGINED', 8);
defined('ERRORCODE_NOACCOUNT') or define('ERRORCODE_NOACCOUNT', 9);
defined('ERRORCODE_PWDERROR') or define('ERRORCODE_PWDERROR', 10);
defined('ERRORCODE_USERLOCK') or define('ERRORCODE_USERLOCK', 11);
defined('ERRORCODE_TOKENERR') or define('ERRORCODE_TOKENERR', 12);
defined('ERRORCODE_OVERSTEP') or define('ERRORCODE_OVERSTEP', 13);
defined('ERRORCODE_NOPERMISSION') or define('ERRORCODE_NOPERMISSION', 14);

function strtoxml($str) {
	$xml = $str;
	$xml = str_ireplace('&', '&amp;', $xml);
	$xml = str_ireplace('<', '&lt;', $xml);
	$xml = str_ireplace('>', '&gt;', $xml);
	$xml = str_ireplace('"', '&quot;', $xml);
	$xml = str_ireplace('\'', '&apos;', $xml);
	return $xml;
}

function xmltostr($xml) {
	$str = $xml;
	$str = str_ireplace('&lt;', '<', $str);
	$str = str_ireplace('&gt;', '>', $str);
	$str = str_ireplace('&quot;', '"', $str);
	$str = str_ireplace('&apos;', '\'', $str);
	$str = str_ireplace('&amp;', '&', $str);
	return $str;
}
?>